# ACE_Hash< unsigned long > Class Template Reference

Function object for hashing an unsigned long number. More...

`#include <Functor.h>`

List of all members.

## Public Member Functions

unsigned long | operator() (unsigned long t) const
| Simply returns t.

## Detailed Description

### template<>
class ACE_Hash< unsigned long >

Function object for hashing an unsigned long number.

## Member Function Documentation

ACE_INLINE unsigned long ACE_Hash< unsigned long >::operator() | ( | unsigned long | t | ) | const

| Simply returns t.

The documentation for this class was generated from the following files:

- Functor.h
- Functor.inl